﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml.Linq;

namespace XMLSample
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            // Outer.xml 읽기
            WebClient wc = new WebClient();
            wc.DownloadStringCompleted += new DownloadStringCompletedEventHandler(wc_DownloadStringCompleted);
            wc.DownloadStringAsync(new Uri("Outer.xml", UriKind.RelativeOrAbsolute));

            // Inner.xml 읽기
            LoadInnerXML();
        }

        private void LoadInnerXML()
        {
            XDocument xDoc = XDocument.Load("Inner.xml"); // 핵심 : Content로 속성이 설정된 프로젝트 내의 XML파일

            var linq = from c in xDoc.Descendants("Item")
                       select (string)c.Value;

            foreach (string item in linq)
            {
                tbInner.Text += item + "\n";
            }
        }

        void wc_DownloadStringCompleted(object sender, DownloadStringCompletedEventArgs e)
        {
            XDocument xDoc = XDocument.Parse(e.Result); // 외부에 존재하는 XML 파일을 읽을 경우

            var linq = from c in xDoc.Descendants("Item")
                       select (string)c.Value;

            foreach (string item in linq)
            {
                tbOuter.Text += item + "\n";
            }
        }
    }
}
